probe::signal.send.return
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.send.return — Signal being sent to a process completed (deprecated in SystemTap 2.1)

## Synopsis

    signal.send.return

## Values

`name`

  The name of the function used to send out the signal

`shared`

  Indicates whether the sent signal is shared by the thread group.

`send2queue`

  Indicates whether the sent signal was sent to an existing sigqueue

`retstr`

  The return value to either __group_send_sig_info, specific_send_sig_info, or send_sigqueue

## Context

The signal's sender. (correct?)

## Description

Possible __group_send_sig_info and specific_send_sig_info return values are as follows;

0 -- The signal is successfully sent to a process, which means that, (1) the signal was ignored by the receiving process, (2) this is a non-RT signal and the system already has one queued, and (3) the signal was successfully added to the sigqueue of the receiving process.

-EAGAIN -- The sigqueue of the receiving process is overflowing, the signal was RT, and the signal was sent by a user using something other than `kill`.

Possible send_group_sigqueue and send_sigqueue return values are as follows;

0 -- The signal was either successfully added into the sigqueue of the receiving process, or a SI_TIMER entry is already queued (in which case, the overrun count will be simply incremented).

1 -- The signal was ignored by the receiving process.

-1 -- (send_sigqueue only) The task was marked exiting, allowing * posix_timer_event to redirect it to the group leader.

Prev | Up | Next
probe::signal.send | Home | probe::signal.send_sig_queue